Subject: Re: [PATCH] jme: Fix DMA unmap warning

From: Neil Horman <[email-masked]>
Date: Wed, 7 May 2014 17:54:48 -0400

On Wed, May 07, 2014 at 04:44:34PM -0400, David Miller wrote:
> From: Neil Horman <[email-masked]>
> Date: Wed, 7 May 2014 16:33:17 -0400
> 
> > Perhaps a solution is a signalling mechanism tied to completion interrupts?
> > I.e. a mapping failure gets reported to the stack, which causes the
> > correspondnig queue to be stopped, until such time a the driver signals a safe
> > restart by the reception of a tx completion interrupt?  I'm actually tinkering
> > right now with a mechanism that provides guidance to the stack as to how many
> > dma descriptors are available in a given net_device that might come in handy
> > here
> 
> Another idea is to signal it from the IOMMU unmap itself, since that is the
> point where the resource becomes available.
> 
> Actually either approach is fine with me.
> 
I'll look into it shortly.  Thanks for the idea!
Neil